Skip to main content
GET
/
v1
/
mentions
Search mentions across media
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/mentions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/mentions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/mentions \
--header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "appearance_id": 123,
      "entity": {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>"
      },
      "media": {
        "id": 123,
        "video_id": "<string>",
        "title": "<string>",
        "url": "<string>",
        "published_at": "<string>",
        "channel_id": "<string>",
        "view_count": 123,
        "source_channel": {
          "id": "<string>",
          "name": "<string>",
          "url": "<string>"
        }
      },
      "start_timestamp": "<string>",
      "end_timestamp": "<string>",
      "start_seconds": 123,
      "end_seconds": 123,
      "is_appearance": true,
      "description": "<string>",
      "confidence": 123,
      "sentiment_score": 123,
      "referenced_url": "<string>",
      "referenced_platform": "<string>",
      "extracted_content": "<string>",
      "recommendations": {
        "items": [
          {
            "id": "<string>",
            "mention_class": "<string>",
            "verbatim_quote": "<string>",
            "promo_code": "<string>",
            "offer": "<string>",
            "confidence": 123,
            "start_timestamp": "<string>",
            "end_timestamp": "<string>",
            "start_seconds": 123,
            "end_seconds": 123
          }
        ]
      }
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "entity": {
    "id": "<string>",
    "numeric_id": 123,
    "canonical_id": "<string>",
    "name": "<string>",
    "type": "<string>",
    "platform": "<string>",
    "url": "<string>",
    "image_url": "<string>",
    "image_checked_at": "<string>",
    "owner_entity_id": "<string>",
    "is_canonical": true,
    "merged_from_id": "<string>",
    "route": "<string>",
    "appearance_count": 0
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string
entity_id
string
entity_name
string
entity_type
enum<string>
Available options:
person,
organization,
product,
topic,
channel
channel_id
string
channel_name
string
q
string
sentiment
enum<string>
Available options:
positive,
neutral,
negative
is_appearance
boolean
date_from
string
date_to
string
details
enum<string>
Available options:
full

Response

Success

data
object[]
required
has_more
boolean
required

True when more rows exist past this page.

next_cursor
string | null
required

Opaque cursor for the next page. Null on the last page.

entity
object
required

The resolved entity the mentions belong to.